import { type Base, genBase } from "./_base"

export interface Device extends Base {
  code: string
  name: string
  uom_code: string
}

export function genDevice(): Device {
  return {
    ...genBase(),
    code: '',
    name: '',
    uom_code: '',
  }
}
